<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__i2c" kind="group">
    <compoundname>group_hal_results_i2c</compoundname>
    <title>I2C HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__i2c_1ga5b11d85404cfb697a5c9134069046b15" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_RSLT_ERR_INVALID_PIN</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607">CYHAL_RSLT_MODULE_I2C</ref>, 0))</initializer>
        <briefdescription>
<para>The requested resource type is invalid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="109" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="109" />
      </memberdef>
      <memberdef id="group__group__hal__results__i2c_1gaf787a4f4b1c9d9608a356384d456823c" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_RSLT_ERR_CAN_NOT_REACH_DR</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607">CYHAL_RSLT_MODULE_I2C</ref>, 1))</initializer>
        <briefdescription>
<para>Can not reach desired data rate. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="112" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="112" />
      </memberdef>
      <memberdef id="group__group__hal__results__i2c_1ga765d128c16f9e753abf7c755aa336688" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_RSLT_ERR_INVALID_ADDRESS_SIZE</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607">CYHAL_RSLT_MODULE_I2C</ref>, 2))</initializer>
        <briefdescription>
<para>Address size is not correct, should be 1 or two. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="115" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="115" />
      </memberdef>
      <memberdef id="group__group__hal__results__i2c_1ga898208f02c54de0ff55d3dd0deb4f4b2" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_RSLT_ERR_TX_RX_BUFFERS_ARE_EMPTY</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607">CYHAL_RSLT_MODULE_I2C</ref>, 3))</initializer>
        <briefdescription>
<para>User buffer is empty (TX and RX). </para>        </briefdescription>
        <detaileddescription>
<para>Should be at least TX or RX or both buffers </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="118" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="118" />
      </memberdef>
      <memberdef id="group__group__hal__results__i2c_1gae784804f11c94fe8b134ed96cc75f2d7" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_RSLT_ERR_PREVIOUS_ASYNCH_PENDING</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607">CYHAL_RSLT_MODULE_I2C</ref>, 4))</initializer>
        <briefdescription>
<para>Previous Async operation is pending. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="121" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="121" />
      </memberdef>
      <memberdef id="group__group__hal__results__i2c_1ga1eb789611046c856d2b921f7c51d5065" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_RSLT_ERR_PM_CALLBACK</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607">CYHAL_RSLT_MODULE_I2C</ref>, 5))</initializer>
        <briefdescription>
<para>Failed to register I2C pm callback. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="124" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="124" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>I2C specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>